package com.qmth.sop.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description sop预警监控-数据查询结果
 * @Author haoguanghui
 * @date 2024/09/14
 */
public class SopWarnMonitorDetailResult {

    @ApiModelProperty(value = "派单号")
    private String crmNo;

    @ApiModelProperty(value = "sop编号")
    private String sopNo;

    @ApiModelProperty(value = "预警字段")
    private String fieldObj;

    @ApiModelProperty(value = "大区经理ID")
    private Long leadId;

    @ApiModelProperty(value = "大区经理名称")
    private String leadName;

    @ApiModelProperty(value = "供应商ID")
    private Long supplierId;

    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    @ApiModelProperty(value = "区域协调人ID")
    private Long coordinatorId;

    @ApiModelProperty(value = "区域协调人名称")
    private String coordinatorName;

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public String getFieldObj() {
        return fieldObj;
    }

    public void setFieldObj(String fieldObj) {
        this.fieldObj = fieldObj;
    }

    public Long getLeadId() {
        return leadId;
    }

    public void setLeadId(Long leadId) {
        this.leadId = leadId;
    }

    public String getLeadName() {
        return leadName;
    }

    public void setLeadName(String leadName) {
        this.leadName = leadName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Long getCoordinatorId() {
        return coordinatorId;
    }

    public void setCoordinatorId(Long coordinatorId) {
        this.coordinatorId = coordinatorId;
    }

    public String getCoordinatorName() {
        return coordinatorName;
    }

    public void setCoordinatorName(String coordinatorName) {
        this.coordinatorName = coordinatorName;
    }
}
